/* $Id$ */

#pragma once

#include <string>
#include <vector>
#include <inttypes.h>
#include "file.h"

namespace Util
{
	void Explode16(unsigned char *buf, const uint16_t &value);
	void Explode32(unsigned char *buf, const uint32_t &value);

	void Implode16(uint16_t &value, const unsigned char *buf);
	void Implode32(uint32_t &value, const unsigned char *buf);

	uint8_t FromHex(const char *hex);

	std::string ReadLine(CFileRead &f);
	void TokenizeCSV(std::vector<std::string> &v, const std::string &s);
};
